Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers
Class AbstractAuthenticationToken

    java.lang.Object
      org.acegisecurity.providers.AbstractAuthenticationToken

All Implemented Interfaces:
  Serializable, Principal, Authentication

Direct Known Subclasses:
  AbstractAdapterAuthenticationToken, AnonymousAuthenticationToken, CasAuthenticationToken, RememberMeAuthenticationToken, RunAsUserToken, TestingAuthenticationToken, UsernamePasswordAuthenticationToken, X509AuthenticationToken

    public abstract class AbstractAuthenticationToken

extends Object
implements Authentication

Provides a `String` representation of the Authentication token.

Version:
  $Id: AbstractAuthenticationToken.java,v 1.10 2005/11/29 13:10:09 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`AbstractAuthenticationToken()`

Method Summary
`boolean` | `equals(Object obj)`
`Object` | `getDetails()` Subclasses should override if they wish to provide additional details about the authentication event.
`String` | `getName()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.acegisecurity.Authentication
`getAuthorities, getCredentials, getPrincipal, isAuthenticated, setAuthenticated`

Methods inherited from interface java.security.Principal
`hashCode`

Constructor Detail

### AbstractAuthenticationToken

    public AbstractAuthenticationToken()

Method Detail

### getDetails

    public Object getDetails()

  Subclasses should override if they wish to provide additional details about the authentication event.

  Specified by:
    `getDetails` in interface `Authentication`
  Returns:
    always `null`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Specified by:
    `toString` in interface `Principal`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.